Skip to main content
Resource Center/Hardware/Primary Storage Operations/XStor Block Primary Storage Operations

QueryBlockPrimaryStorage

QueryBlockPrimaryStorage

GET/zstack/v1/primary-storage/block
GET/zstack/v1/primary-storage/block/{uuid}

Operation ID

QueryBlockPrimaryStorage

Since

4.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

  • inventory
    PrimaryStorageInventoryRequired

    For more information, see inventories

  • vendorName
    StringRequired

    The storage vendor name.

  • metadata
    StringRequired

    The storage metadata.

  • uuid
    StringRequired

    The resource UUID.

  • zoneUuid
    StringRequired

    The zone UUID.

  • name
    StringRequired

    The primary storage name.

  • url
    StringRequired

    Unused.

  • description
    String

    Optional. The detailed description of the resource.

  • totalCapacity
    LongRequired

    The total capacity.

  • availableCapacity
    LongRequired

    The available capacity.

  • totalPhysicalCapacity
    LongRequired

    The total physical capacity.

  • availablePhysicalCapacity
    LongRequired

    The available physical capacity.

  • systemUsedCapacity
    LongRequired

    The system used capacity.

  • type
    StringRequired

    The primary storage type.

  • state
    StringRequired

    The running state.

  • status
    StringRequired

    The connection state.

  • mountPath
    StringRequired

    Unused.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • attachedClusterUuids
    ListRequired

    The cluster attached to.

  • Change Time

    AddedResponse fields attachedClusterUuids, availableCapacity, availablePhysicalCapacity...
    View API